# Uses of Interface
org.apache.qpid.proton.amqp.messaging.Outcome

Packages that use Outcome
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transaction

## Uses of Outcome in org.apache.qpid.proton.amqp.messaging

Classes in org.apache.qpid.proton.amqp.messaging that implement Outcome
Modifier and Type
Class
Description
`final class`
`Accepted`
`final class`
`Modified`
`final class`
`Rejected`
`final class`
`Released`
Methods in org.apache.qpid.proton.amqp.messaging that return Outcome
Modifier and Type
Method
Description
`Outcome`
Source.`getDefaultOutcome()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type Outcome
Modifier and Type
Method
Description
`void`
Source.`setDefaultOutcome(Outcome defaultOutcome)`

## Uses of Outcome in org.apache.qpid.proton.amqp.transaction

Classes in org.apache.qpid.proton.amqp.transaction that implement Outcome
Modifier and Type
Class
Description
`final class`
`Declared`
Methods in org.apache.qpid.proton.amqp.transaction that return Outcome
Modifier and Type
Method
Description
`Outcome`
TransactionalState.`getOutcome()`
Methods in org.apache.qpid.proton.amqp.transaction with parameters of type Outcome
Modifier and Type
Method
Description
`void`
TransactionalState.`setOutcome(Outcome outcome)`